# Deserializable | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- Deserializable
  - Authorization

## Index

### Methods

- deserialize
- serialize
- deserialize

## Methods

### Abstract deserialize

- deserialize(bufferReader: BufferReader ): void

- - Defined in packages/transactions/src/authorization.ts:39

  #### Parameters

  - ##### bufferReader: BufferReader

  #### Returns void

### Abstract serialize

- serialize(): Buffer

- - Defined in packages/transactions/src/authorization.ts:38

  #### Returns Buffer

### Static deserialize

- deserialize<T>(this: {}, bufferReader: BufferReader ): T

- - Defined in packages/transactions/src/authorization.ts:40

  #### Type parameters

  - #### T: Deserializable

  #### Parameters

  - ##### this: {}

  - ##### bufferReader: BufferReader

  #### Returns T

Generated using TypeDoc